import { OfdDocument } from './ofdDocument';
/**
 * 存储ofd的内容
 */
export declare class OfdWriter {
    #private;
    private ofdDocument;
    private destPath;
    private jsZip;
    constructor(ofdDocument: OfdDocument);
    saveTo(path: string): void;
    saveAs(data: any, type: any, name: any): void;
    /**
     * 将zip的内容blobl打包压缩到zip文件中去
     * @param data
     * @param path
     */
    saveZipBlobToFile(data: any, path: string): void;
    convertDocumentToXml(): void;
    getAttrsMapJson(attrsMap: Map<string, any>): {};
}
